% Apply patch

clc;
clear classes;
rehash toolboxcache;


% Get old file name and path
filePath = fullfile(matlabshared.supportpkg.getSupportPackageRoot, 'toolbox','matlab','hardware','supportpackages','arduinoio','+arduinoio','+internal');
oldFileName = 'ResourceManager.m';

% Rename the old file to *_OLD
movefile(fullfile(filePath,oldFileName), fullfile(filePath,'ResourceManager_OLD.m'));

% Copy new file
newFileName = 'ResourceManager_NEW.m';
copyfile(newFileName,filePath,'f');
movefile(fullfile(filePath,newFileName), fullfile(filePath,'ResourceManager.m'));

% rehash
rehash toolboxcache

